# ------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ------------------------------------------------------------------------------

from azdata.cli.core.exceptions import CliError


class AppError(CliError):
    """All errors related to app API calls."""
    pass


class IllegalAppStateError(AppError):
    """Signals that an App `run` has been invoked at an inappropriate time."""
    pass


class InvalidSpecError(AppError):
    """Signals that an application `spec.yaml` is invalid."""
    pass

