# ------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ------------------------------------------------------------------------------

from knack.help_files import helps
from azdata.cli.commands.sql import _

# pylint: disable=line-too-long
helps['sql'] = """
    type: group
    short-summary: {short}
""".format(
    short=_('The SQL DB CLI allows the user to interact with SQL Server via T-SQL.'))

# pylint: disable=line-too-long
helps['sql shell'] = """
    type: command
    short-summary: {short}
    examples:
        - name: {ex1}
          text: >
            azdata sql shell
""".format(
    short=_('The SQL DB CLI allows the user to interact with SQL Server via T-SQL.'),
    ex1=_('Example command line to start the interactive experience.'))

helps['sql query'] = """
    type: command
    short-summary: {short}
    examples:
        - name: {ex1}
          text: >
            azdata sql query 'SELECT name FROM SYS.TABLES'
""".format(
    short=_('The query command allows execution of a T-SQL query.'),
    ex1=_('Select the list of tables names.  Database defaults to master.'))
