# ------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ------------------------------------------------------------------------------

from enum import Enum

__all__ = ['SecurityStrategy', 'ContextType']


class SecurityStrategy(Enum):
    basic = 0x1
    """
    Identifies basic authentication.
    """

    ad = 0x2
    """
    Identifies Active Directory with kerberos authentication.
    """

    spnego = 0x3
    """
    Identifies the GSSAPI Negotiation Mechanism (SPNEGO).    
    """

# -----------------------------------------------------------------------------#
# -----------------------------------------------------------------------------#
# -----------------------------------------------------------------------------#

class ContextType(Enum):
    bdc = 0x1
    """
    Identifies the BDC context.
    """
